cURL
curl --request GET \ --url https://api.example.com/api/v1/indexes/{indexName}/stats \ --header 'X-Eigen-API-Key: <api-key>'
{ "status": 200, "message": "Stats for index 'my-index' fetched successfully.", "data": { "index_name": "my-index", "dimensions": 1536, "metric": "cosine" } }
Get stats of an index containing its information.
Documentation IndexFetch the complete documentation index at: https://eigendb.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://eigendb.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Name of the index
Stats fetched successfully.
Status code of the response
Message giving basic information on the response
Important data to be given to the caller
An error that has occured
Show child attributes